JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

Loading...
Searching...
No Matches
Namespaces | Classes | Typedefs
commands
juce_gui_basics

## Namespaces
namespace | StandardApplicationCommandIDs
| A set of general-purpose application command IDs.

## Classes
struct | ApplicationCommandInfo
| Holds information describing an application command. More...
class | ApplicationCommandManager
| One of these objects holds a list of all the commands your app can perform, and despatches these commands when needed. More...
class | ApplicationCommandManagerListener
| A listener that receives callbacks from an ApplicationCommandManager when commands are invoked or the command list is changed. More...
class | ApplicationCommandTarget
| A command target publishes a list of command IDs that it can perform. More...
struct | ApplicationCommandTarget::InvocationInfo
| Contains contextual details about the invocation of a command. More...
class | KeyPressMappingSet
| Manages and edits a list of keypresses, which it uses to invoke the appropriate command in an ApplicationCommandManager. More...

## Typedefs
using | CommandID = int
| A type used to hold the unique ID for an application command.

## Detailed Description

## Typedef Documentation

## ◆ CommandID

using CommandID = int

A type used to hold the unique ID for an application command.

This is a numeric type, so it can be stored as an integer.

See also
  ApplicationCommandInfo, ApplicationCommandManager, ApplicationCommandTarget, KeyPressMappingSet